function skill080()

p = flag.GetBattleValue(33032)

if p==2 then

	for pis=1,9,1 do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,10)==0 then  --是否有强袭
          player.ChangeDP(0,pisd,3)
          player.CreateSE(pisd,3911)
	   end
	   if battle.CheckPlayerStat(pisd,11)==0 then
          player.ChangeDP(0,pisd,3)
          player.CreateSE(pisd,3911)
	   end
	   if battle.CheckPlayerStat(pisd,12)==0 then
          player.ChangeDP(0,pisd,3)
          player.CreateSE(pisd,3911)
	   end
	   if battle.CheckPlayerStat(pisd,13)==0 then
          player.ChangeDP(0,pisd,3)
          player.CreateSE(pisd,3911)
	   end	   
    end
	end
end

player.AddStat(1,0,100,10,3)
player.AddStat(1,0,100,11,3)
player.AddStat(1,0,100,12,3)
player.AddStat(1,0,100,13,3)

	for pis=1,9,1 do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
       player.AddStat(0,pisd,100,19,10)	
    end
    end	

if battle.CheckPlayerStat(1,710)==1 then
    player.ChangeDP(0,1,30)
	player.CreateSE(1,3911)
    player.RemoveStat(0,1,710)
end


----判断是否有高级状态 
for pis=1,9,1
do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,45)==1 then --有担当状态
	   	  player.RemoveStat(0,pisd,10)--清除状态 
	   end 
	end 
	
end 



----判断是否有高级状态 
for pis=1,9,1
do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,47)==1 then --有暴怒
	   	  player.RemoveStat(0,pisd,13)--清除状态 
	   end 
	end 
	
end 



----判断是否有高级状态 
for pis=1,9,1
do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,44)==1 or battle.CheckPlayerStat(pisd,43)==1 then --有反正、庇护 
	   	  player.RemoveStat(0,pisd,11)--清除状态 
	   end 
	end 
	
end


----判断是否有高级状态 
for pis=1,9,1
do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,46)==1 or battle.CheckPlayerStat(pisd,85)==1 then --有仙缘、碎影 
	   	  player.RemoveStat(0,pisd,12)--清除状态 
	   end 
	end 
	
end	

end